<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">IntersectionSceneQuery</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::IntersectionSceneQuery Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a8bb5ee8db3442cd4515ae683e437d9f3">clearResults</a>(void)</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#add0f09a97807ed6f41d2968a8142b753">execute</a>(void)</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#aa4302f9623d93f620cde40ebc8c18e3c">execute</a>(IntersectionSceneQueryListener *listener)=0</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a023c7491bdbb49ea66c17f34b816ea3e">getLastResults</a>(void) const </td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aa6fb367ec862186fba933d13295b366f">getQueryMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ab900f61543657dcbab7d62245021a75f">getSupportedWorldFragmentTypes</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#afa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a2d2dae1d033750a297a681e4f7f71f06">IntersectionSceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a988a1401a7c5a7394045f257913f9b79">mLastResult</a></td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ab6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aa1ad40080bc4490f795ff8fb8a4edf4a">mSupportedWorldFragments</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#a1092da71d6f78d6ecee11eee06a3b1e5">queryResult</a>(MovableObject *first, MovableObject *second)</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#ab1b25001401cf9026c9aa58e490f978f">queryResult</a>(MovableObject *movable, SceneQuery::WorldFragment *fragment)</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a672e5a9a95f02100b62cd4a6421525d6">SceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ad392a7fc0b338e5507540d3183f82cfb">setQueryMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#abaca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a>(enum WorldFragmentType wft)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aadeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa6ed287fab168d451beb369009f0fd03b">WFT_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> enum name</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html#ab0a3e3f74c9d3a9a69de1dba9359917b">~IntersectionSceneQuery</a>()</td><td><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html#a7537def6f0635fcf975b49f65e42e5c0">~IntersectionSceneQueryListener</a>()</td><td><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html">Ogre::IntersectionSceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a373ec5891d755ecaac409e2de1e5e54e">~SceneQuery</a>()</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
